mui.init({swipeBack:true});

//初始化单页view
var viewApi = mui('#app').view({
	defaultPage: '#setting'
});

//初始化单页的区域滚动
mui('.mui-scroll-wrapper').scroll();
var view = viewApi.view;
(function($) {
	//处理view的后退与webview后退
	var oldBack = $.back;
	$.back = function() {
		if (viewApi.canBack()) { //如果view可以后退，则执行view的后退
			viewApi.back();
		} else { //执行webview后退
			oldBack();
		}
	};
})(mui);

// 侧滑菜单监听
mui('.new-window').on('tap', 'a', function() {
	var id = this.getAttribute("href");
	var auth = this.getAttribute("data-auth");
	var href = this.href;
	
	if (auth === "1" && plus.storage.getItem("access_token") === null)
	{
		mui.toast('请先登录');
		return ;
	}
	
	mui.openWindow({
		url: href, 
		id: id,
		show:{
			autoShow: true,
			aniShow: "slide-in-right"
	    },
	    waiting:{
        	autoShow: false
        }
	});
});

// 登录后显示登录可见项
mui.plusReady(function () {
	if (plus.storage.getItem("access_token") != null)
	{
		var authItem = document.querySelectorAll('*[data-showOnLogin="1"]');
		for (i=0; i<authItem.length; i++)
		{
			authItem[i].style.display = "block";
		}
	}
});

// 开关读取与写入
mui.plusReady(function () {
	var allSw = document.querySelectorAll('.mui-switch');
	for (i=0; i<allSw.length; i++)
	{
		var $name = allSw[i].getAttribute('data-name');
		var $initrev = allSw[i].getAttribute('data-initrev');
		
		// 初始化开关
		if ($initrev == 'true')
		{
			if (plus.storage.getItem('opt_'+ $name) == 'on')
			allSw[i].className += ' mui-active';
		}
		else
		{
			if (plus.storage.getItem('opt_'+ $name) != 'off')
			allSw[i].className += ' mui-active';
		}
		
		// 设置值
		allSw[i].addEventListener("toggle",function(event)
		{
			var $name = event.target.getAttribute('data-name');
		    if (event.detail.isActive)
		    	plus.storage.setItem('opt_'+ $name, 'on');
		    else
		    	plus.storage.setItem('opt_'+ $name, 'off');
		})
	}
});